# Update the desktop database:
if [ -x usr/bin/update-desktop-database ]; then
  chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
fi

# Update hicolor theme cache:
if [ -d usr/share/icons/hicolor ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
  fi
fi

# Update the mime database:
if [ -x usr/bin/update-mime-database ]; then
  chroot . /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

( cd usr/include/tdesu ; rm -rf pty.h )
( cd usr/include/tdesu ; ln -sf tdesu_pty.h pty.h )
( cd usr/lib ; rm -rf libDCOP.so.14 )
( cd usr/lib ; ln -sf libDCOP.so.14.0.0 libDCOP.so.14 )
( cd usr/lib ; rm -rf libDCOP.so )
( cd usr/lib ; ln -sf libDCOP.so.14 libDCOP.so )
( cd usr/lib ; rm -rf libkglib.so.0 )
( cd usr/lib ; ln -sf libkglib.so.0.0.0 libkglib.so.0 )
( cd usr/lib ; rm -rf libkglib.so )
( cd usr/lib ; ln -sf libkglib.so.0 libkglib.so )
( cd usr/lib ; rm -rf libtdefx.so.14 )
( cd usr/lib ; ln -sf libtdefx.so.14.0.0 libtdefx.so.14 )
( cd usr/lib ; rm -rf libtdefx.so )
( cd usr/lib ; ln -sf libtdefx.so.14 libtdefx.so )
( cd usr/lib ; rm -rf libtdecore.so.14 )
( cd usr/lib ; ln -sf libtdecore.so.14.0.0 libtdecore.so.14 )
( cd usr/lib ; rm -rf libtdecore.so )
( cd usr/lib ; ln -sf libtdecore.so.14 libtdecore.so )
( cd usr/lib ; rm -rf libtdefakes.so.14 )
( cd usr/lib ; ln -sf libtdefakes.so.14.0.0 libtdefakes.so.14 )
( cd usr/lib ; rm -rf libtdefakes.so )
( cd usr/lib ; ln -sf libtdefakes.so.14 libtdefakes.so )
( cd usr/lib ; rm -rf libtdeunittest.so.1 )
( cd usr/lib ; ln -sf libtdeunittest.so.1.0.0 libtdeunittest.so.1 )
( cd usr/lib ; rm -rf libtdeunittest.so )
( cd usr/lib ; ln -sf libtdeunittest.so.1 libtdeunittest.so )
( cd usr/lib ; rm -rf libtdeui.so.14 )
( cd usr/lib ; ln -sf libtdeui.so.14.0.0 libtdeui.so.14 )
( cd usr/lib ; rm -rf libtdeui.so )
( cd usr/lib ; ln -sf libtdeui.so.14 libtdeui.so )
( cd usr/lib ; rm -rf libtdespell.so.14 )
( cd usr/lib ; ln -sf libtdespell.so.14.0.0 libtdespell.so.14 )
( cd usr/lib ; rm -rf libtdespell.so )
( cd usr/lib ; ln -sf libtdespell.so.14 libtdespell.so )
( cd usr/lib ; rm -rf libtdesu.so.14 )
( cd usr/lib ; ln -sf libtdesu.so.14.0.0 libtdesu.so.14 )
( cd usr/lib ; rm -rf libtdesu.so )
( cd usr/lib ; ln -sf libtdesu.so.14 libtdesu.so )
( cd usr/lib ; rm -rf libkjs.so.1 )
( cd usr/lib ; ln -sf libkjs.so.1.2.0 libkjs.so.1 )
( cd usr/lib ; rm -rf libkjs.so )
( cd usr/lib ; ln -sf libkjs.so.1 libkjs.so )
( cd usr/lib ; rm -rf libtdewalletclient.so.1 )
( cd usr/lib ; ln -sf libtdewalletclient.so.1.0.1 libtdewalletclient.so.1 )
( cd usr/lib ; rm -rf libtdewalletclient.so )
( cd usr/lib ; ln -sf libtdewalletclient.so.1 libtdewalletclient.so )
( cd usr/lib ; rm -rf libtdewalletbackend.so.1 )
( cd usr/lib ; ln -sf libtdewalletbackend.so.1.0.0 libtdewalletbackend.so.1 )
( cd usr/lib ; rm -rf libtdewalletbackend.so )
( cd usr/lib ; ln -sf libtdewalletbackend.so.1 libtdewalletbackend.so )
( cd usr/lib ; rm -rf libtdeio.so.14 )
( cd usr/lib ; ln -sf libtdeio.so.14.0.0 libtdeio.so.14 )
( cd usr/lib ; rm -rf libtdeio.so )
( cd usr/lib ; ln -sf libtdeio.so.14 libtdeio.so )
( cd usr/lib ; rm -rf libtdesasl.so.1 )
( cd usr/lib ; ln -sf libtdesasl.so.1.2.0 libtdesasl.so.1 )
( cd usr/lib ; rm -rf libtdesasl.so )
( cd usr/lib ; ln -sf libtdesasl.so.1 libtdesasl.so )
( cd usr/lib ; rm -rf libtdentlm.so.0 )
( cd usr/lib ; ln -sf libtdentlm.so.0.0.0 libtdentlm.so.0 )
( cd usr/lib ; rm -rf libtdentlm.so )
( cd usr/lib ; ln -sf libtdentlm.so.0 libtdentlm.so )
( cd usr/lib ; rm -rf libtdeparts.so.2 )
( cd usr/lib ; ln -sf libtdeparts.so.2.1.0 libtdeparts.so.2 )
( cd usr/lib ; rm -rf libtdeparts.so )
( cd usr/lib ; ln -sf libtdeparts.so.2 libtdeparts.so )
( cd usr/lib ; rm -rf libtdeutils.so.1 )
( cd usr/lib ; ln -sf libtdeutils.so.1.2.0 libtdeutils.so.1 )
( cd usr/lib ; rm -rf libtdeutils.so )
( cd usr/lib ; ln -sf libtdeutils.so.1 libtdeutils.so )
( cd usr/lib ; rm -rf libtdespell2.so.1 )
( cd usr/lib ; ln -sf libtdespell2.so.1.0.0 libtdespell2.so.1 )
( cd usr/lib ; rm -rf libtdespell2.so )
( cd usr/lib ; ln -sf libtdespell2.so.1 libtdespell2.so )
( cd usr/lib ; rm -rf libtdemdi.so.1 )
( cd usr/lib ; ln -sf libtdemdi.so.1.0.0 libtdemdi.so.1 )
( cd usr/lib ; rm -rf libtdemdi.so )
( cd usr/lib ; ln -sf libtdemdi.so.1 libtdemdi.so )
( cd usr/lib ; rm -rf libtdemdi2.so.1 )
( cd usr/lib ; ln -sf libtdemdi2.so.1.0.0 libtdemdi2.so.1 )
( cd usr/lib ; rm -rf libtdemdi2.so )
( cd usr/lib ; ln -sf libtdemdi2.so.1 libtdemdi2.so )
( cd usr/lib ; rm -rf libtdeprint.so.14 )
( cd usr/lib ; ln -sf libtdeprint.so.14.0.0 libtdeprint.so.14 )
( cd usr/lib ; rm -rf libtdeprint.so )
( cd usr/lib ; ln -sf libtdeprint.so.14 libtdeprint.so )
( cd usr/lib ; rm -rf libtdeprint_management.so.14 )
( cd usr/lib ; ln -sf libtdeprint_management.so.14.0.0 libtdeprint_management.so.14 )
( cd usr/lib ; rm -rf libtdeprint_management.so )
( cd usr/lib ; ln -sf libtdeprint_management.so.14 libtdeprint_management.so )
( cd usr/lib ; rm -rf libtderesources.so.1 )
( cd usr/lib ; ln -sf libtderesources.so.1.2.0 libtderesources.so.1 )
( cd usr/lib ; rm -rf libtderesources.so )
( cd usr/lib ; ln -sf libtderesources.so.1 libtderesources.so )
( cd usr/lib ; rm -rf libtdeabc.so.1 )
( cd usr/lib ; ln -sf libtdeabc.so.1.2.0 libtdeabc.so.1 )
( cd usr/lib ; rm -rf libtdeabc.so )
( cd usr/lib ; ln -sf libtdeabc.so.1 libtdeabc.so )
( cd usr/lib ; rm -rf libvcard.so.0 )
( cd usr/lib ; ln -sf libvcard.so.0.0.0 libvcard.so.0 )
( cd usr/lib ; rm -rf libvcard.so )
( cd usr/lib ; ln -sf libvcard.so.0 libvcard.so )
( cd usr/lib ; rm -rf libtdeabc_file.so.1 )
( cd usr/lib ; ln -sf libtdeabc_file.so.1.0.0 libtdeabc_file.so.1 )
( cd usr/lib ; rm -rf libtdeabc_file.so )
( cd usr/lib ; ln -sf libtdeabc_file.so.1 libtdeabc_file.so )
( cd usr/lib ; rm -rf libtdeabc_dir.so.1 )
( cd usr/lib ; ln -sf libtdeabc_dir.so.1.0.0 libtdeabc_dir.so.1 )
( cd usr/lib ; rm -rf libtdeabc_dir.so )
( cd usr/lib ; ln -sf libtdeabc_dir.so.1 libtdeabc_dir.so )
( cd usr/lib ; rm -rf libtdeabc_net.so.1 )
( cd usr/lib ; ln -sf libtdeabc_net.so.1.0.0 libtdeabc_net.so.1 )
( cd usr/lib ; rm -rf libtdeabc_net.so )
( cd usr/lib ; ln -sf libtdeabc_net.so.1 libtdeabc_net.so )
( cd usr/lib ; rm -rf libtdeabc_ldaptdeio.so.1 )
( cd usr/lib ; ln -sf libtdeabc_ldaptdeio.so.1.0.0 libtdeabc_ldaptdeio.so.1 )
( cd usr/lib ; rm -rf libtdeabc_ldaptdeio.so )
( cd usr/lib ; ln -sf libtdeabc_ldaptdeio.so.1 libtdeabc_ldaptdeio.so )
( cd usr/lib ; rm -rf libartskde.so.1 )
( cd usr/lib ; ln -sf libartskde.so.1.2.0 libartskde.so.1 )
( cd usr/lib ; rm -rf libartskde.so )
( cd usr/lib ; ln -sf libartskde.so.1 libartskde.so )
( cd usr/lib ; rm -rf libtdetexteditor.so.0 )
( cd usr/lib ; ln -sf libtdetexteditor.so.0.0.0 libtdetexteditor.so.0 )
( cd usr/lib ; rm -rf libtdetexteditor.so )
( cd usr/lib ; ln -sf libtdetexteditor.so.0 libtdetexteditor.so )
( cd usr/lib ; rm -rf libtdescript.so.0 )
( cd usr/lib ; ln -sf libtdescript.so.0.0.0 libtdescript.so.0 )
( cd usr/lib ; rm -rf libtdescript.so )
( cd usr/lib ; ln -sf libtdescript.so.0 libtdescript.so )
( cd usr/lib ; rm -rf libtdemediaplayer.so.0 )
( cd usr/lib ; ln -sf libtdemediaplayer.so.0.0.0 libtdemediaplayer.so.0 )
( cd usr/lib ; rm -rf libtdemediaplayer.so )
( cd usr/lib ; ln -sf libtdemediaplayer.so.0 libtdemediaplayer.so )
( cd usr/lib ; rm -rf libtdeimproxy.so.0 )
( cd usr/lib ; ln -sf libtdeimproxy.so.0.0.0 libtdeimproxy.so.0 )
( cd usr/lib ; rm -rf libtdeimproxy.so )
( cd usr/lib ; ln -sf libtdeimproxy.so.0 libtdeimproxy.so )
( cd usr/lib ; rm -rf libkatepartinterfaces.so.0 )
( cd usr/lib ; ln -sf libkatepartinterfaces.so.0.0.0 libkatepartinterfaces.so.0 )
( cd usr/lib ; rm -rf libkatepartinterfaces.so )
( cd usr/lib ; ln -sf libkatepartinterfaces.so.0 libkatepartinterfaces.so )
( cd usr/lib ; rm -rf libtderandr.so.0 )
( cd usr/lib ; ln -sf libtderandr.so.0.0.95 libtderandr.so.0 )
( cd usr/lib ; rm -rf libtderandr.so )
( cd usr/lib ; ln -sf libtderandr.so.0 libtderandr.so )
( cd usr/lib ; rm -rf libtdehtml.so.14 )
( cd usr/lib ; ln -sf libtdehtml.so.14.0.0 libtdehtml.so.14 )
( cd usr/lib ; rm -rf libtdehtml.so )
( cd usr/lib ; ln -sf libtdehtml.so.14 libtdehtml.so )
( cd usr/lib ; rm -rf libkjava.so.1 )
( cd usr/lib ; ln -sf libkjava.so.1.0.0 libkjava.so.1 )
( cd usr/lib ; rm -rf libkjava.so )
( cd usr/lib ; ln -sf libkjava.so.1 libkjava.so )
( cd usr/lib ; rm -rf libtdemid.so.0 )
( cd usr/lib ; ln -sf libtdemid.so.0.0.95 libtdemid.so.0 )
( cd usr/lib ; rm -rf libtdemid.so )
( cd usr/lib ; ln -sf libtdemid.so.0 libtdemid.so )
( cd usr/lib ; rm -rf libtdescreensaver.so.14 )
( cd usr/lib ; ln -sf libtdescreensaver.so.14.0.0 libtdescreensaver.so.14 )
( cd usr/lib ; rm -rf libtdescreensaver.so )
( cd usr/lib ; ln -sf libtdescreensaver.so.14 libtdescreensaver.so )
( cd usr/lib ; rm -rf libnetworkstatus.so.0 )
( cd usr/lib ; ln -sf libnetworkstatus.so.0.0.0 libnetworkstatus.so.0 )
( cd usr/lib ; rm -rf libnetworkstatus.so )
( cd usr/lib ; ln -sf libnetworkstatus.so.0 libnetworkstatus.so )
( cd usr/lib ; rm -rf libconnectionmanager.so.0 )
( cd usr/lib ; ln -sf libconnectionmanager.so.0.0.0 libconnectionmanager.so.0 )
( cd usr/lib ; rm -rf libconnectionmanager.so )
( cd usr/lib ; ln -sf libconnectionmanager.so.0 libconnectionmanager.so )
( cd usr/lib ; rm -rf libtdenewstuff.so.1 )
( cd usr/lib ; ln -sf libtdenewstuff.so.1.0.0 libtdenewstuff.so.1 )
( cd usr/lib ; rm -rf libtdenewstuff.so )
( cd usr/lib ; ln -sf libtdenewstuff.so.1 libtdenewstuff.so )
( cd usr/lib ; rm -rf libtdersync.so.0 )
( cd usr/lib ; ln -sf libtdersync.so.0.0.1 libtdersync.so.0 )
( cd usr/lib ; rm -rf libtdersync.so )
( cd usr/lib ; ln -sf libtdersync.so.0 libtdersync.so )
( cd usr/lib ; rm -rf libtdednssd.so.1 )
( cd usr/lib ; ln -sf libtdednssd.so.1.0.0 libtdednssd.so.1 )
( cd usr/lib ; rm -rf libtdednssd.so )
( cd usr/lib ; ln -sf libtdednssd.so.1 libtdednssd.so )
( cd usr/share/icons ; rm -rf default.tde )
( cd usr/share/icons ; ln -sf crystalsvg default.tde )
( cd usr/bin ; rm -rf kfmexec )
( cd usr/bin ; ln -sf tdeioexec kfmexec )
( cd usr/bin ; rm -rf filesharelist )
( cd usr/bin ; ln -sf tdetelnetservice filesharelist )
